List all test assignments (admin)
curl --request GET \
--url https://api.alpha-1edtech.ai/powerpath/test-assignments/admin \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/powerpath/test-assignments/admin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/powerpath/test-assignments/admin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testAssignments": [
{
"sourcedId": "<string>",
"studentSourcedId": "<string>",
"studentEmail": "jsmith@example.com",
"assignedByUserSourcedId": "<string>",
"subject": "<string>",
"grade": "<string>",
"assignmentStatus": "<string>",
"testName": "<string>",
"assignedAt": "<string>",
"expiresAt": "<string>",
"completedAt": "<string>",
"resourceSourcedId": "<string>",
"componentResourceSourcedId": "<string>"
}
],
"totalCount": 123,
"pageCount": 123,
"pageNumber": 123,
"offset": 123,
"limit": 123
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unauthorisedrequest"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "forbidden"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "unknownobject"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "invaliddata"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "server_busy"
}
]
},
"imsx_error_details": [
{}
]
}{
"imsx_codeMajor": "failure",
"imsx_severity": "error",
"imsx_description": "<string>",
"imsx_CodeMinor": {
"imsx_codeMinorField": [
{
"imsx_codeMinorFieldName": "TargetEndSystem",
"imsx_codeMinorFieldValue": "internal_server_error"
}
]
},
"imsx_error_details": [
{}
]
}Test Assignments
List all test assignments (admin)
Returns a paginated list of test assignments across students. Optional filters for student, status, subject, grade.
GET
/
powerpath
/
test-assignments
/
admin
List all test assignments (admin)
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The maximum number of items to return in the paginated response. While the OneRoster specification does not define a maximum limit, this implementation enforces a maximum of 3000 to prevent abuse and ensure optimal performance.
Required range:
1 <= x <= 3000Example:
100
The number of items to skip in the paginated response
Required range:
x >= 0Example:
0
The sourcedId of the student
Available options:
assigned, in_progress, completed, failed, expired, cancelled The grades of the course
Available options:
-1, 0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 ⌘I